Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

OpenSSL 'kssl_keytab_is_available()' Denial Of Service Vulnerability (Windows)

Information

Severity

Severity

Medium

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

4.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:N/I:N/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

12 years ago

Modified

Modified

3 years ago

Summary

This host is installed with OpenSSL and is prone to Denial Of Service Vulnerability.

Insight

Insight

The flaw is due to error in 'kssl_keytab_is_available()' function in 'ssl/kssl.c' which does not check a certain return value when Kerberos is enabled. This allows NULL pointer dereference and daemon crash via SSL cipher negotiation.

Affected Software

Affected Software

OpenSSL version prior to 0.9.8n on Windows.

Solution

Solution

Upgrade to version 0.9.8n or later.

Common Vulnerabilities and Exposures (CVE)